MAPITests 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
mapitest_print.c File Reference

Print / display functions for mapitest output. More...

## Functions
void | mapitest_deindent (void)
void | mapitest_indent (void)
void | mapitest_print (struct mapitest *mt, const char *format,...)
void | mapitest_print_headers (struct mapitest *mt)
void | mapitest_print_headers_info (struct mapitest *mt)
void | mapitest_print_headers_server_info (struct mapitest *mt)
void | mapitest_print_line (struct mapitest *mt, int len, char delim)
void | mapitest_print_module_title_end (struct mapitest *mt)
void | mapitest_print_module_title_start (struct mapitest *mt, const char *str)
void | mapitest_print_newline (struct mapitest *mt, int count)
void | mapitest_print_PAB_entry (struct mapitest *mt, struct PropertyRow_r *aRow)
| Output a row of the public address book.
void | mapitest_print_retval (struct mapitest *mt, char *name)
void | mapitest_print_retval_clean (struct mapitest *mt, char *name, enum MAPISTATUS retval)
void | mapitest_print_retval_fmt (struct mapitest *mt, char *name, const char *format,...)
void | mapitest_print_retval_fmt_clean (struct mapitest *mt, char *name, enum MAPISTATUS retval, const char *format,...)
void | mapitest_print_retval_step (struct mapitest *mt, char *step, char *name, enum MAPISTATUS retval)
void | mapitest_print_retval_step_fmt (struct mapitest *mt, char *step, char *name, const char *format,...)
void | mapitest_print_SPropValue (struct mapitest *mt, struct SPropValue lpProp, const char *sep)
| Output a row of the public address book.
void | mapitest_print_SRowSet (struct mapitest *mt, struct SRowSet *rowset, const char *sep)
| Output a set of rows from a table.
void | mapitest_print_tab (struct mapitest *mt)
void | mapitest_print_test_result (struct mapitest *mt, char *name, bool ret)
void | mapitest_print_test_title_end (struct mapitest *mt)
void | mapitest_print_test_title_start (struct mapitest *mt, const char *str)
void | mapitest_print_title (struct mapitest *mt, const char *str, char delim)
void | mapitest_underline (struct mapitest *mt, const char *str, char delim)

## Detailed Description

Print / display functions for mapitest output.

## Function Documentation

void mapitest_deindent | ( | void |  | ) |

Deindent the mapitest_print tabulation counter

Referenced by mapitest_oxcfold_CreateFolder(), mapitest_oxcfold_OpenFolder(), mapitest_print_headers(), mapitest_print_headers_info(), mapitest_print_headers_server_info(), mapitest_print_module_title_end(), and mapitest_print_test_title_end().

void mapitest_indent | ( | void |  | ) |

Indent the mapitest_print tabulation counter

Referenced by mapitest_oxcfold_CreateFolder(), mapitest_oxcfold_OpenFolder(), mapitest_print_headers(), mapitest_print_headers_info(), mapitest_print_headers_server_info(), mapitest_print_module_title_start(), mapitest_print_test_title_start(), and mapitest_print_title().

void mapitest_print | ( | struct mapitest * | mt,
|  | const char * | format,
|  |  | ...
| ) |  |

Print a string in the stream

Parameters

  mt | pointer to the top-level mapitest structure
  format | the format string
  ... | the format string parameters

References mapitest_print_tab(), and mapitest::subunit_output.

Referenced by mapitest_common_cleanup(), mapitest_common_create_filled_test_folder(), mapitest_common_folder_open(), mapitest_common_message_delete_by_subject(), mapitest_errorchecks_simplemapi_c(), mapitest_lcid_langcode2langtag(), mapitest_mapidump_freebusy(), mapitest_mapidump_task(), mapitest_noserver_lzfu(), mapitest_noserver_mapi_properties(), mapitest_noserver_proptagvalue(), mapitest_noserver_rtfcp(), mapitest_noserver_rtfcp_large(), mapitest_noserver_srowset(), mapitest_nspi_CompareMIds(), mapitest_nspi_GetPropList(), mapitest_nspi_ModProps(), mapitest_nspi_QueryColumns(), mapitest_nspi_ResolveNames(), mapitest_nspi_UpdateStat(), mapitest_oxcfold_CopyFolder(), mapitest_oxcfold_CreateDeleteFolder(), mapitest_oxcfold_CreateFolder(), mapitest_oxcfold_CreateFolderVariants(), mapitest_oxcfold_DeleteMessages(), mapitest_oxcfold_HardDeleteMessages(), mapitest_oxcfold_HardDeleteMessagesAndSubfolders(), mapitest_oxcfold_MoveCopyMessages(), mapitest_oxcfold_MoveFolder(), mapitest_oxcfold_OpenFolder(), mapitest_oxcfxics_CopyFolder(), mapitest_oxcfxics_CopyMessages(), mapitest_oxcfxics_CopyProperties(), mapitest_oxcfxics_CopyTo(), mapitest_oxcfxics_DestConfigure(), mapitest_oxcfxics_GetLocalReplicaIds(), mapitest_oxcfxics_SetLocalReplicaMidsetDeleted(), mapitest_oxcmsg_GetValidAttachments(), mapitest_oxcmsg_ModifyRecipients(), mapitest_oxcmsg_OpenEmbeddedMessage(), mapitest_oxcmsg_ReadRecipients(), mapitest_oxcmsg_RemoveAllRecipients(), mapitest_oxcmsg_SetMessageReadFlag(), mapitest_oxcmsg_SetMessageStatus(), mapitest_oxcmsg_SetReadFlags(), mapitest_oxcprpt_CopyProps(), mapitest_oxcprpt_CopyTo(), mapitest_oxcprpt_CopyToStream(), mapitest_oxcprpt_DeleteProps(), mapitest_oxcprpt_NameId(), mapitest_oxcprpt_NameId_PSMAPI(), mapitest_oxcprpt_NoReplicate(), mapitest_oxcprpt_SetProps(), mapitest_oxcprpt_Stream(), mapitest_oxcprpt_WriteAndCommitStream(), mapitest_oxcstor_GetOwningServers(), mapitest_oxcstor_GetReceiveFolder(), mapitest_oxcstor_IsMailboxFolder(), mapitest_oxcstor_LongTermId(), mapitest_oxcstor_PublicFolderIsGhosted(), mapitest_oxctable_Category(), mapitest_oxctable_GetStatus(), mapitest_oxctable_QueryColumns(), mapitest_oxctable_QueryRows(), mapitest_oxctable_Restrict(), mapitest_oxomsg_AddressTypes(), mapitest_oxomsg_SpoolerLockMessage(), mapitest_oxomsg_TransportSend(), mapitest_print_headers_info(), mapitest_print_headers_server_info(), mapitest_print_module_title_start(), mapitest_print_retval(), mapitest_print_retval_clean(), mapitest_print_retval_fmt(), mapitest_print_retval_fmt_clean(), mapitest_print_retval_step(), mapitest_print_retval_step_fmt(), mapitest_print_test_result(), mapitest_print_test_title_start(), and mapitest_stat_dump().

void mapitest_print_headers | ( | struct mapitest * | mt | ) |

Print mapitest report headers

Parameters

  mt | pointer to the top-level mapitest structure

References mapitest_deindent(), mapitest_indent(), mapitest_print_headers_info(), mapitest_print_headers_server_info(), mapitest_print_newline(), mapitest::no_server, and mapitest::subunit_output.

Referenced by main().

void mapitest_print_headers_info | ( | struct mapitest * | mt | ) |

Print mapitest report headers information

Parameters

  mt | pointer to the top-level mapitest structure

References mapitest::confidential, mapitest_deindent(), mapitest_indent(), mapitest_print(), and mapitest_print_newline().

Referenced by mapitest_print_headers().

void mapitest_print_headers_server_info | ( | struct mapitest * | mt | ) |

Print a report of the Exchange server and account information

Parameters

  mt | pointer to the top-level mapitest structure

References mapitest::confidential, mapitest_deindent(), mapitest_indent(), mapitest_print(), mapitest_print_newline(), and mapitest::online.

Referenced by mapitest_print_headers().

void mapitest_print_line | ( | struct mapitest * | mt,
|  | int | len,
|  | char | delim
| ) |  |

Print a line using a delimiter

Parameters

  mt | pointer to the top-level mapitest structure
  len | the length of the line to print
  delim | the line delimiter

References mapitest_print_newline(), and mapitest::subunit_output.

Referenced by mapitest_print_module_title_end(), mapitest_print_module_title_start(), mapitest_print_test_result(), mapitest_print_test_title_end(), mapitest_print_test_title_start(), and mapitest_underline().

void mapitest_print_module_title_end | ( | struct mapitest * | mt | ) |

Print the content at the end of the module

Parameters

  mt | pointer to the top-level mapitest structure

References mapitest_deindent(), mapitest_print_line(), mapitest_print_newline(), and mapitest_print_tab().

Referenced by mapitest_run_all().

void mapitest_print_module_title_start | ( | struct mapitest * | mt,
|  | const char * | str
| ) |  |

Print the module title

Parameters

  mt | pointer to the top-level mapitest structure
  str | the module title string

References mapitest_indent(), mapitest_print(), mapitest_print_line(), mapitest_print_tab(), and mapitest::mem_ctx.

Referenced by mapitest_run_all().

void mapitest_print_newline | ( | struct mapitest * | mt,
|  | int | count
| ) |  |

Print newline characters

Parameters

  mt | pointer to the top-level mapitest structure
  count | number of newline characters to print

References mapitest::subunit_output.

Referenced by mapitest_print_headers(), mapitest_print_headers_info(), mapitest_print_headers_server_info(), mapitest_print_line(), mapitest_print_module_title_end(), and mapitest_print_test_result().

void mapitest_print_PAB_entry | ( | struct mapitest * | mt,
|  | struct PropertyRow_r * | aRow
| ) |  |

Output a row of the public address book.

Parameters

  mt | pointer to the top-level mapitest structure
  aRow | one row of the public address book (Global Address List)

This function is usually used with GetGALTable, which can obtain several rows at once - you'll need to iterate over the rows.

The SRow is assumed to contain entries for PR_ADDRTYPE_UNICODE, PR_DISPLAY_NAME_UNICODE, PR_EMAIL_ADDRESS_UNICODE and PR_ACCOUNT_UNICODE.

Note
  this is a simple wrapper for mapidump_PAB_entry(), only for use in mapitest.

References mapitest::subunit_output.

Referenced by mapitest_nspi_GetGALTable().

void mapitest_print_retval | ( | struct mapitest * | mt,
|  | char * | name
| ) |  |

Print mapitest return value

Parameters

  mt | pointer to the top-level mapitest structure
  name | the test name

See Also
  mapitest_print_retval_fmt for a version providing an additional format string
  mapitest_print_retval_clean for a version that doesn't rely on GetLastError()

References mapitest::color, mapitest_print(), and mapitest::subunit_output.

Referenced by mapitest_common_create_filled_test_folder(), mapitest_common_message_create(), mapitest_common_message_delete_by_subject(), mapitest_common_message_fill(), mapitest_common_setup(), mapitest_noserver_lzfu(), mapitest_noserver_rtfcp(), mapitest_nspi_GetPropList(), mapitest_nspi_GetProps(), mapitest_nspi_UpdateStat(), mapitest_oxcfold_CopyFolder(), mapitest_oxcfold_CreateDeleteFolder(), mapitest_oxcfold_CreateFolder(), mapitest_oxcfold_GetContentsTable(), mapitest_oxcfold_GetHierarchyTable(), mapitest_oxcfold_GetSearchCriteria(), mapitest_oxcfold_HardDeleteMessages(), mapitest_oxcfold_HardDeleteMessagesAndSubfolders(), mapitest_oxcfold_MoveCopyMessages(), mapitest_oxcfold_MoveFolder(), mapitest_oxcfold_OpenFolder(), mapitest_oxcfold_SetSearchCriteria(), mapitest_oxcfxics_GetLocalReplicaIds(), mapitest_oxcmsg_CreateMessage(), mapitest_oxcmsg_ModifyRecipients(), mapitest_oxcmsg_ReadRecipients(), mapitest_oxcmsg_ReloadCachedInformation(), mapitest_oxcmsg_RemoveAllRecipients(), mapitest_oxcmsg_SaveChangesMessage(), mapitest_oxcmsg_SetMessageReadFlag(), mapitest_oxcmsg_SetMessageStatus(), mapitest_oxcnotif_RegisterNotification(), mapitest_oxcperm_GetPermissionsTable(), mapitest_oxcperm_ModifyPermissions(), mapitest_oxcprpt_CopyTo(), mapitest_oxcprpt_CopyToStream(), mapitest_oxcprpt_GetPropList(), mapitest_oxcprpt_GetProps(), mapitest_oxcprpt_GetPropsAll(), mapitest_oxcprpt_NameId(), mapitest_oxcprpt_Stream(), mapitest_oxcprpt_WriteAndCommitStream(), mapitest_oxcstor_GetOwningServers(), mapitest_oxcstor_GetReceiveFolderTable(), mapitest_oxcstor_GetStoreState(), mapitest_oxcstor_IsMailboxFolder(), mapitest_oxcstor_Logon(), mapitest_oxcstor_LongTermId(), mapitest_oxcstor_PublicFolderIsGhosted(), mapitest_oxctable_Category(), mapitest_oxctable_GetStatus(), mapitest_oxctable_QueryColumns(), mapitest_oxctable_QueryRows(), mapitest_oxctable_Restrict(), mapitest_oxctable_SeekRowBookmark(), mapitest_oxctable_SetColumns(), mapitest_oxomsg_AbortSubmit(), mapitest_oxomsg_AddressTypes(), mapitest_oxomsg_SetSpooler(), mapitest_oxomsg_SpoolerLockMessage(), mapitest_oxomsg_SubmitMessage(), mapitest_oxomsg_TransportSend(), and mapitest_oxorule_GetRulesTable().

void mapitest_print_retval_clean | ( | struct mapitest * | mt,
|  | char * | name,
|  | enum MAPISTATUS | retval
| ) |  |

Print mapitest return value

This version takes an explicit return status value

Parameters

  mt | pointer to the top-level mapitest structure
  name | the test name
  retval | the return value to output

See Also
  mapitest_print_retval_fmt_clean for a version providing an additional format string

References mapitest::color, mapitest_print(), and mapitest::subunit_output.

Referenced by mapitest_noserver_rtfcp_large(), mapitest_nspi_CompareMIds(), mapitest_nspi_DNToMId(), mapitest_nspi_GetGALTable(), mapitest_nspi_GetIDsFromNames(), mapitest_nspi_GetMatches(), mapitest_nspi_GetNamesFromIDs(), mapitest_nspi_GetProps(), mapitest_nspi_GetSpecialTable(), mapitest_nspi_GetTemplateInfo(), mapitest_nspi_ModLinkAtt(), mapitest_nspi_ModProps(), mapitest_nspi_QueryColumns(), mapitest_nspi_QueryRows(), mapitest_nspi_ResolveNames(), mapitest_nspi_ResortRestriction(), mapitest_nspi_SeekEntries(), mapitest_oxcfold_CreateFolderVariants(), mapitest_oxcfold_DeleteMessages(), mapitest_oxcfxics_CopyFolder(), mapitest_oxcfxics_CopyMessages(), mapitest_oxcfxics_CopyProperties(), mapitest_oxcfxics_CopyTo(), mapitest_oxcfxics_DestConfigure(), mapitest_oxcfxics_SetLocalReplicaMidsetDeleted(), mapitest_oxcfxics_SyncConfigure(), mapitest_oxcfxics_SyncOpenCollector(), mapitest_oxcmsg_GetMessageStatus(), mapitest_oxcmsg_GetValidAttachments(), mapitest_oxcmsg_ModifyRecipients(), mapitest_oxcmsg_ReadRecipients(), mapitest_oxcmsg_RemoveAllRecipients(), mapitest_oxcmsg_SetMessageStatus(), mapitest_oxcmsg_SetReadFlags(), mapitest_oxcnotif_SyncOpenAdvisor(), mapitest_oxcprpt_CopyTo(), mapitest_oxcprpt_NameId_PSMAPI(), mapitest_oxcprpt_WriteAndCommitStream(), mapitest_oxcstor_GetReceiveFolder(), and mapitest_oxomsg_TransportNewMail().

void mapitest_print_retval_fmt | ( | struct mapitest * | mt,
|  | char * | name,
|  | const char * | format,
|  |  | ...
| ) |  |

Print mapitest return value with additional format string

Parameters

  mt | pointer to the top-level mapitest structure
  name | the test name
  format | the format string
  ... | the format string parameters

References mapitest::color, and mapitest_print().

Referenced by mapitest_oxcfold_CreateFolder(), mapitest_oxcfold_GetContentsTable(), mapitest_oxcfold_GetHierarchyTable(), mapitest_oxcfold_OpenFolder(), mapitest_oxcmsg_ModifyRecipients(), mapitest_oxcmsg_ReadRecipients(), mapitest_oxcmsg_RemoveAllRecipients(), mapitest_oxcmsg_SetMessageReadFlag(), mapitest_oxcprpt_CopyTo(), mapitest_oxcprpt_CopyToStream(), mapitest_oxcprpt_NameId(), mapitest_oxcprpt_Stream(), mapitest_oxctable_SeekRow(), mapitest_oxctable_SeekRowApprox(), mapitest_oxomsg_GetTransportFolder(), and mapitest_oxomsg_SpoolerLockMessage().

void mapitest_print_retval_fmt_clean | ( | struct mapitest * | mt,
|  | char * | name,
|  | enum MAPISTATUS | retval,
|  | const char * | format,
|  |  | ...
| ) |  |

Print mapitest return value with additional format string

Parameters

  mt | pointer to the top-level mapitest structure
  name | the test name
  retval | the return value to output
  format | the format string
  ... | the format string parameters

References mapitest::color, and mapitest_print().

Referenced by mapitest_oxcmsg_GetValidAttachments(), mapitest_oxcprpt_WriteAndCommitStream(), mapitest_oxctable_CreateBookmark(), and mapitest_oxctable_SeekRowBookmark().

void mapitest_print_retval_step | ( | struct mapitest * | mt,
|  | char * | step,
|  | char * | name,
|  | enum MAPISTATUS | retval
| ) |  |

Print mapitest return value for a given step

Parameters

  mt | pointer to the top-level mapitest structure
  step | the test step
  name | the test name
  retval | the return value

See Also
  mapitest_print_retval_step_fmt for a version providing an additional format string

References mapitest::color, and mapitest_print().

Referenced by mapitest_oxcprpt_CopyProps(), mapitest_oxcprpt_DeleteProps(), mapitest_oxcprpt_NoReplicate(), and mapitest_oxcstor_SetReceiveFolder().

void mapitest_print_retval_step_fmt | ( | struct mapitest * | mt,
|  | char * | step,
|  | char * | name,
|  | const char * | format,
|  |  | ...
| ) |  |

Print mapitest return value for a given step with additional format string

Parameters

  mt | pointer to the top-level mapitest structure
  step | the test step
  name | the test name
  format | the format string
  ... | the format string parameters

References mapitest::color, and mapitest_print().

Referenced by mapitest_oxcprpt_CopyProps(), mapitest_oxcprpt_DeleteProps(), mapitest_oxcprpt_NoReplicate(), mapitest_oxcprpt_SetProps(), and mapitest_oxcstor_SetReceiveFolder().

void mapitest_print_SPropValue | ( | struct mapitest * | mt,
|  | struct SPropValue | lpProp,
|  | const char * | sep
| ) |  |

Output a row of the public address book.

Parameters

  mt | pointer to the top-level mapitest structure
  lpProp | the property to print
  sep | a separator / spacer to insert in front of the label

Note
  this is a simple wrapper for mapidump_SPropValue(), only for use in mapitest.

References mapitest::subunit_output.

Referenced by mapitest_oxomsg_TransportSend().

void mapitest_print_SRowSet | ( | struct mapitest * | mt,
|  | struct SRowSet * | rowset,
|  | const char * | sep
| ) |  |

Output a set of rows from a table.

Parameters

  mt | pointer to the top-level mapitest structure
  rowset | the rows to output
  sep | a separator / spacer to insert in front of the label

Note
  this is a simple wrapper for mapidump_SRowSet(), only for use in mapitest.

References mapitest::subunit_output.

Referenced by mapitest_oxcmsg_OpenEmbeddedMessage(), and mapitest_oxcstor_GetReceiveFolderTable().

void mapitest_print_tab | ( | struct mapitest * | mt | ) |

Print tabulations given the internal counter

Parameters

  mt | pointer to the top-level mapitest structure

Referenced by mapitest_print(), mapitest_print_module_title_end(), mapitest_print_module_title_start(), mapitest_print_test_result(), mapitest_print_test_title_end(), mapitest_print_test_title_start(), and mapitest_underline().

void mapitest_print_test_result | ( | struct mapitest * | mt,
|  | char * | name,
|  | bool | ret
| ) |  |

Print mapitest test result

Parameters

  mt | pointer to the top-level mapitest structure
  name | the test name
  ret | boolean value with the test result

References mapitest_print(), mapitest_print_line(), mapitest_print_newline(), mapitest_print_tab(), and mapitest::subunit_output.

void mapitest_print_test_title_end | ( | struct mapitest * | mt | ) |

Write the content at the end of a test

Parameters

  mt | pointer to the top-level mapitest structure

References mapitest_deindent(), mapitest_print_line(), and mapitest_print_tab().

Referenced by mapitest_stat_dump().

void mapitest_print_test_title_start | ( | struct mapitest * | mt,
|  | const char * | str
| ) |  |

print the test title

Parameters

  mt | pointer to the top-level mapitest structure
  str | the test title

References mapitest_indent(), mapitest_print(), mapitest_print_line(), mapitest_print_tab(), mapitest::mem_ctx, and mapitest::subunit_output.

void mapitest_print_title | ( | struct mapitest * | mt,
|  | const char * | str,
|  | char | delim
| ) |  |

Private general routine used to print a title

Avoid code redundancy over the API

Parameters

  mt | pointer to the top-level mapitest structure
  str | the title
  delim | the underline delimiter

References mapitest_indent(), mapitest_underline(), and mapitest::subunit_output.

Referenced by mapitest_stat_dump().

void mapitest_underline | ( | struct mapitest * | mt,
|  | const char * | str,
|  | char | delim
| ) |  |

Underline a string

Parameters

  mt | pointer to the top-level mapitest structure
  str | string to underline
  delim | the line delimiter

References mapitest_print_line(), and mapitest_print_tab().

Referenced by mapitest_print_title().

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/